Merge lp://staging/~jelmer/brz/depth into lp://staging/brz/3.3

Proposed by Jelmer Vernooij
Status: Needs review
Proposed branch: lp://staging/~jelmer/brz/depth
Merge into: lp://staging/brz/3.3
Diff against target: 766 lines (+185/-77)
16 files modified
breezy/branch.py (+9/-4)
breezy/bzr/bzrdir.py (+5/-1)
breezy/controldir.py (+2/-1)
breezy/errors.py (+8/-0)
breezy/git/branch.py (+17/-10)
breezy/git/dir.py (+3/-2)
breezy/git/fetch.py (+3/-1)
breezy/git/interrepo.py (+53/-41)
breezy/git/remote.py (+13/-11)
breezy/git/repository.py (+1/-0)
breezy/plugins/weave_fmt/bzrdir.py (+3/-1)
breezy/repository.py (+4/-0)
breezy/tests/per_controldir/test_controldir.py (+17/-2)
breezy/tests/per_interbranch/test_fetch.py (+41/-1)
breezy/tests/per_repository/test_repository.py (+3/-0)
breezy/tests/test_foreign.py (+3/-2)
To merge this branch: bzr merge lp://staging/~jelmer/brz/depth
Reviewer Review Type Date Requested Status
Jelmer Vernooij Approve
Martin Packman Pending
Review via email: mp+432254@code.staging.launchpad.net

This proposal supersedes a proposal from 2019-02-14.

Commit message

Add a depth argument to ControlDir.sprout() and Repository.fetch().

Description of the change

Add a depth argument to ControlDir.sprout() and Repository.fetch().

To post a comment you must log in.
Revision history for this message
Martin Packman (gz) wrote : Posted in a previous version of this proposal

Thanks!

review: Approve
Revision history for this message
Jelmer Vernooij (jelmer) : Posted in a previous version of this proposal
review: Approve
Revision history for this message
Martin Packman (gz) wrote : Posted in a previous version of this proposal

Restamping this one for clarity.

review: Approve
Revision history for this message
The Breezy Bot (the-breezy-bot) wrote : Posted in a previous version of this proposal
Revision history for this message
The Breezy Bot (the-breezy-bot) wrote : Posted in a previous version of this proposal
Revision history for this message
Jelmer Vernooij (jelmer) wrote : Posted in a previous version of this proposal

This is blocked on support for depth between local repositories in Dulwich.

Revision history for this message
The Breezy Bot (the-breezy-bot) wrote : Posted in a previous version of this proposal
Revision history for this message
The Breezy Bot (the-breezy-bot) wrote : Posted in a previous version of this proposal
Revision history for this message
The Breezy Bot (the-breezy-bot) wrote : Posted in a previous version of this proposal
Revision history for this message
Jelmer Vernooij (jelmer) :
review: Approve
Revision history for this message
The Breezy Bot (the-breezy-bot) wrote :
Download full text (12.7 KiB)

The attempt to merge lp:~jelmer/brz/depth into lp:brz/3.3 failed. Command exited with 1.
Below is the output from the failed tests.

Collecting setuptools-gettext
  Downloading setuptools_gettext-0.1.1-py3-none-any.whl (10 kB)
Requirement already satisfied: setuptools>=46.1 in ./lib/python3.10/site-packages (from setuptools-gettext) (65.5.0)
Installing collected packages: setuptools-gettext
Successfully installed setuptools-gettext-0.1.1
Obtaining file:///tmp/tarmac/branch.53e2n39n
  Installing build dependencies: started
  Installing build dependencies: finished with status 'done'
  Checking if build backend supports build_editable: started
  Checking if build backend supports build_editable: finished with status 'done'
  Getting requirements to build editable: started
  Getting requirements to build editable: finished with status 'done'
  Preparing editable metadata (pyproject.toml): started
  Preparing editable metadata (pyproject.toml): finished with status 'done'
Requirement already satisfied: pyyaml in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (5.4.1)
Requirement already satisfied: fastbencode in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (0.0.12)
Requirement already satisfied: urllib3>=1.24.1 in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (1.26.12)
Requirement already satisfied: dulwich>=0.20.46 in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (0.20.46)
Requirement already satisfied: merge3 in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (0.0.8)
Requirement already satisfied: configobj in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (5.0.6)
Requirement already satisfied: patiencediff in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (0.2.3)
Requirement already satisfied: gpg in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (1.18.0)
Collecting sphinx
  Downloading sphinx-5.3.0-py3-none-any.whl (3.2 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.2/3.2 MB 6.7 MB/s eta 0:00:00
Requirement already satisfied: setuptools in ./lib/python3.10/site-packages (from breezy==3.3.1.dev0) (65.5.0)
Collecting sphinx-epytext
  Downloading sphinx-epytext-0.0.4.tar.gz (3.6 kB)
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Collecting fastimport
  Downloading fastimport-0.9.14.tar.gz (41 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 41.8/41.8 kB 363.1 kB/s eta 0:00:00
  Preparing metadata (setup.py): started
  Preparing metadata (setup.py): finished with status 'done'
Requirement already satisfied: launchpadlib>=1.6.3 in /usr/lib/python3/dist-packages (from breezy==3.3.1.dev0) (1.10.17)
Collecting testtools
  Downloading testtools-2.5.0-py3-none-any.whl (181 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 182.0/182.0 kB 1.2 MB/s eta 0:00:00
Collecting python-subunit
  Downloading python_subunit-1.4.0-py2.py3-none-any.whl (106 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 106.1/106.1 kB 615.5 kB/s eta 0:00:00
Requirement already satisfied: httplib2 in /usr/lib/python3/dist-packages (from launchpadlib>=1.6.3->breezy==3.3.1.dev0) (0.20.4)
Collecting keyring
  Downloading keyring-23.9.3-py3-none-any....

Unmerged revisions

7158. By Jelmer Vernooij

Merge lp:brz/3.3

7157. By Jelmer Vernooij

Merge trunk.

7156. By Jelmer Vernooij

Merge lp:brz/3.2.

7155. By Jelmer Vernooij

Merge lp:brz/3.1.

7154. By Jelmer Vernooij

Fix tests.

7153. By Jelmer Vernooij

add depth argument to ControlDir.sprout.

7152. By Jelmer Vernooij

Enable depth fetching for Git repositories.

7151. By Jelmer Vernooij

For the moment, Dulwich doesn't support depth fetching locally.

7150. By Jelmer Vernooij

Add Repository.support_fetch_depth.

7149. By Jelmer Vernooij

Merge dulwich-compat.

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
The diff is not available at this time. You can reload the page or download it.

Subscribers

People subscribed via source and target branches